org.richfaces.fragment.dataScroller

## Class RichFacesDataScroller.AdvancedDataScrollerInteractions

- java.lang.Object
- - org.richfaces.fragment.dataScroller.RichFacesDataScroller.AdvancedDataScrollerInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesDataScroller

      public class RichFacesDataScroller.AdvancedDataScrollerInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDataScroller.AdvancedDataScrollerInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getActiveClass()`
    `org.openqa.selenium.WebElement` | `getActivePageElement()`
    `List<? extends org.openqa.selenium.WebElement>` | `getAllPagesElements()`
    `org.openqa.selenium.WebElement` | `getButtonElement(DataScroller.DataScrollerSwitchButton btn)`
    `int` | `getCountOfVisiblePages()`
    `protected String` | `getCssPageSelectorTemplate()`
    `protected String` | `getDisabledClass()`
    `org.openqa.selenium.WebElement` | `getFirstVisiblePageElement()`
    `int` | `getFirstVisiblePageNumber()`
    `org.openqa.selenium.WebElement` | `getLastVisiblePageElement()`
    `int` | `getLastVisiblePageNumber()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `boolean` | `isButtonDisabled(DataScroller.DataScrollerSwitchButton btn)`
    `boolean` | `isButtonPresent(DataScroller.DataScrollerSwitchButton btn)`
    `boolean` | `isFirstPage()`
    `boolean` | `isLastPage()`
    `boolean` | `isVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDataScroller.AdvancedDataScrollerInteractions

          public RichFacesDataScroller.AdvancedDataScrollerInteractions()

  - ### Method Detail

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getButtonElement

          public org.openqa.selenium.WebElement getButtonElement(DataScroller.DataScrollerSwitchButton btn)

    - #### getActiveClass

          protected String getActiveClass()

    - #### getCssPageSelectorTemplate

          protected String getCssPageSelectorTemplate()

    - #### getDisabledClass

          protected String getDisabledClass()

    - #### getAllPagesElements

          public List<? extends org.openqa.selenium.WebElement> getAllPagesElements()

    - #### getFirstVisiblePageElement

          public org.openqa.selenium.WebElement getFirstVisiblePageElement()

    - #### getFirstVisiblePageNumber

          public int getFirstVisiblePageNumber()

    - #### getLastVisiblePageElement

          public org.openqa.selenium.WebElement getLastVisiblePageElement()

    - #### getLastVisiblePageNumber

          public int getLastVisiblePageNumber()

    - #### getActivePageElement

          public org.openqa.selenium.WebElement getActivePageElement()

    - #### getCountOfVisiblePages

          public int getCountOfVisiblePages()

    - #### isButtonDisabled

          public boolean isButtonDisabled(DataScroller.DataScrollerSwitchButton btn)

    - #### isButtonPresent

          public boolean isButtonPresent(DataScroller.DataScrollerSwitchButton btn)

    - #### isFirstPage

          public boolean isFirstPage()

    - #### isLastPage

          public boolean isLastPage()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.